Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
auth::ClientCertAuthManager::ClientCertAuthSettings Struct Reference

## Public Attributes
boolean | enabled
| Whether client certificate authentication is enabled.
boolean | forced
| Enforce usage of client certificates for all authenticated HTTPS requests.
AuthMapType | authMap
| Which certificate field to use as login user name.
boolean | ekuRequired
| Whether client Extended Key Usage is required.
OcspSettings | ocsp
| OCSP settings.
vector< string > | caCertChains
| CA certificate chains.

## Detailed Description

Definition at line 49 of file ClientCertAuthManager.idl.

## Member Data Documentation

## ◆ authMap

AuthMapType auth::ClientCertAuthManager::ClientCertAuthSettings::authMap

Which certificate field to use as login user name.

Definition at line 52 of file ClientCertAuthManager.idl.

## ◆ caCertChains

vector<string> auth::ClientCertAuthManager::ClientCertAuthSettings::caCertChains

CA certificate chains.

Definition at line 55 of file ClientCertAuthManager.idl.

## ◆ ekuRequired

boolean auth::ClientCertAuthManager::ClientCertAuthSettings::ekuRequired

Whether client Extended Key Usage is required.

Definition at line 53 of file ClientCertAuthManager.idl.

## ◆ enabled

boolean auth::ClientCertAuthManager::ClientCertAuthSettings::enabled

Whether client certificate authentication is enabled.

Definition at line 50 of file ClientCertAuthManager.idl.

## ◆ forced

boolean auth::ClientCertAuthManager::ClientCertAuthSettings::forced

Enforce usage of client certificates for all authenticated HTTPS requests.

Definition at line 51 of file ClientCertAuthManager.idl.

## ◆ ocsp

OcspSettings auth::ClientCertAuthManager::ClientCertAuthSettings::ocsp

OCSP settings.

Definition at line 54 of file ClientCertAuthManager.idl.

The documentation for this struct was generated from the following file:

- ClientCertAuthManager.idl